nbd_get_strict_mode(3)

NAME
nbd_get_strict_mode - see which strictness flags are in effect

SYNOPSIS
 #include <libnbd.h>

 uint32_t nbd_get_strict_mode (
            struct nbd_handle *h
          );

DESCRIPTION
Return flags indicating which protocol strictness items are being enforced locally by libnbd rather than the server. The return value from a newer library version may include bits that were undefined at the time of compilation.

RETURN VALUE
This call returns a bitmask of LIBNBD_STRICT_* values.

ERRORS
This function does not fail.

The following parameters must not be NULL: "h". For more information see "Non-NULL parameters" in libnbd(3).

VERSION
This function first appeared in libnbd 1.6.

If you need to test if this function is available at compile time check if the following macro is defined:

 #define LIBNBD_HAVE_NBD_GET_STRICT_MODE 1

SEE ALSO
nbd_create(3), nbd_set_strict_mode(3), libnbd(3).

AUTHORS
Eric Blake

Richard W.M. Jones

COPYRIGHT
Copyright Red Hat

LICENSE
This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA